import { S3 } from 'aws-sdk';
import NodeFields from './types/EntityNode';
import { S3Object } from './types/S3Object';
export declare const S3SourceGatsbyNodeType = "S3Asset";
export declare const createS3Instance: ({ accessKeyId, domain, secretAccessKey }: {
    accessKeyId: any;
    domain: any;
    secretAccessKey: any;
}) => S3;
export declare const getNodeFields: (entity: S3Object, url: string) => NodeFields;
export declare const constructS3UrlForAsset: ({ bucketName, domain, region, publicDomain, key, protocol, }: {
    bucketName: string;
    domain: string;
    publicDomain?: string | undefined;
    region?: string | undefined;
    key: string;
    protocol?: string | undefined;
}) => string;
export declare const createS3AssetNode: ({ createNode, createNodeId, createContentDigest, entity, url, }: {
    createNode: Function;
    createNodeId: (objectHash: string) => string;
    createContentDigest: (content: object) => string;
    entity: S3Object;
    url: string;
}) => any;
